(function () {

    var ShareController = function () { };

    ShareController.prototype.share = function (type) {
        var map = {
            "appMessage": ["menu:share:appmessage", "sendAppMessage"],
            "timeline": ["menu:share:timeline", "shareTimeline"]
        };
        var arr = map[type];
        if (!arr) {
            console.log("can't find suitable share type " + type);
            return;
        }
        var bridge = window.WeixinJSBridge || window.YixinJSBridge;

        var bridgeCalled = false;
        if (!!bridge && !!bridge.onInvokeEvent && !!bridge.invoke) {
            bridgeCalled = bridge.onInvokeEvent(arr[0], {});
        }

        if (!bridgeCalled) {
            if (!!bridge && !!bridge.invoke) {
                bridge.invoke(arr[1], {
                    "title": document.title,
                    "link": document.location.href
                }, function () { });
            }else{
                return false;
            }
        }
        return true;
    };

    if (!!!window.ShareController) {
        var ShareController = new ShareController;
        window.ShareController = ShareController;
    }

})();